Altibase.jdbc.driver

## Class AltibaseCallableStatement

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseStatement
  - - Altibase.jdbc.driver.AltibasePreparedStatement
    - - Altibase.jdbc.driver.AltibaseCallableStatement

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper

Direct Known Subclasses:
  Altibase42CallableStatement

    public class AltibaseCallableStatement
    extends AltibasePreparedStatement
    implements java.sql.CallableStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class Altibase.jdbc.driver.AltibaseStatement

`AltibaseStatement.ExecuteResultManager`

### Field Summary

Fields
`protected int` `mLastFetchedColumnIndex`

### Fields inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`mBatchAdded, mBatchJobCount, mBatchRowHandle, mBindColumns, mContext, mLobUpdator`

### Fields inherited from class Altibase.jdbc.driver.AltibaseStatement

`BYTES_PER_CHAR, DEFAULT_UPDATE_COUNT, EMPTY_BATCH_RESULT, EMPTY_LARGE_BATCH_RESULT, mBatchSetBytesUseLob, mConnection, mCurrentResultIndex, mCurrentResultSet, mEscapeProcessing, mExecuteResultMgr, mExecutionResult, mFetchResult, mFetchSize, mForceClobBind, mIsClosed, mIsDeferred, mMaxFieldSize, mMaxRows, mPrepareResult, mPrepareResultColumns, mQstr, mResultSetList, mResultSetReturned, mReUseResultSet, mStmtCID, mTargetResultSetConcurrency, mTargetResultSetType, mWarning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseCallableStatement(AltibaseConnection aConnection, java.lang.String aSql, int aResultSetType, int aResultSetConcurrency, int aResultSetHoldability)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.Array` `getArray(int aIndex)`
`java.sql.Array` `getArray(java.lang.String aParamName)`
`java.math.BigDecimal` `getBigDecimal(int aIndex)`
`java.math.BigDecimal` `getBigDecimal(int aIndex, int aScale)`
`java.math.BigDecimal` `getBigDecimal(java.lang.String aParamName)`
`java.sql.Blob` `getBlob(int aIndex)`
`java.sql.Blob` `getBlob(java.lang.String aParamName)`
`boolean` `getBoolean(int aIndex)`
`boolean` `getBoolean(java.lang.String aParamName)`
`byte` `getByte(int aIndex)`
`byte` `getByte(java.lang.String aParamName)`
`byte[]` `getBytes(int aIndex)`
`byte[]` `getBytes(java.lang.String aParamName)`
`java.sql.Clob` `getClob(int aIndex)`
`java.sql.Clob` `getClob(java.lang.String aParamName)`
`protected Column` `getColumnForOutType(int aIndex, int aSqlType)`
`protected int` `getColumnIndex(java.lang.String aName)`
`java.sql.Date` `getDate(int aIndex)`
`java.sql.Date` `getDate(int aIndex, java.util.Calendar aCalendar)`
`java.sql.Date` `getDate(java.lang.String aParamName)`
`java.sql.Date` `getDate(java.lang.String aParamName, java.util.Calendar aCalendar)`
`double` `getDouble(int aIndex)`
`double` `getDouble(java.lang.String aParamName)`
`float` `getFloat(int aIndex)`
`float` `getFloat(java.lang.String aParamName)`
`int` `getInt(int aIndex)`
`int` `getInt(java.lang.String aParamName)`
`long` `getLong(int aIndex)`
`long` `getLong(java.lang.String aParamName)`
`java.lang.Object` `getObject(int aIndex)`
`java.lang.Object` `getObject(int aIndex, java.util.Map aMap)`
`java.lang.Object` `getObject(java.lang.String aParamName)`
`java.lang.Object` `getObject(java.lang.String aParamName, java.util.Map aMap)`
`protected Column` `getOutBoundColumn(int aIndex)`
`java.sql.Ref` `getRef(int aIndex)`
`java.sql.Ref` `getRef(java.lang.String aParamName)`
`short` `getShort(int aIndex)`
`short` `getShort(java.lang.String aParamName)`
`java.lang.String` `getString(int aIndex)`
`java.lang.String` `getString(java.lang.String aParamName)`
`java.sql.Time` `getTime(int aIndex)`
`java.sql.Time` `getTime(int aIndex, java.util.Calendar aCalendar)`
`java.sql.Time` `getTime(java.lang.String aParamName)`
`java.sql.Time` `getTime(java.lang.String aParamName, java.util.Calendar aCalendar)`
`java.sql.Timestamp` `getTimestamp(int aIndex)`
`java.sql.Timestamp` `getTimestamp(int aIndex, java.util.Calendar aCalendar)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParamName)`
`java.sql.Timestamp` `getTimestamp(java.lang.String aParamName, java.util.Calendar aCalendar)`
`java.net.URL` `getURL(int aIndex)`
`java.net.URL` `getURL(java.lang.String aParamName)`
`void` `registerOutParameter(int aIndex, int aSqlType)`
`void` `registerOutParameter(int aIndex, int aSqlType, int aScale)`
`void` `registerOutParameter(int aIndex, int aSqlType, java.lang.String aTypeName)`
`void` `registerOutParameter(java.lang.String aParamName, int aSqlType)`
`void` `registerOutParameter(java.lang.String aParamName, int aSqlType, int aScale)`
`void` `registerOutParameter(java.lang.String aParamName, int aSqlType, java.lang.String aTypeName)`
`void` `setAsciiStream(java.lang.String aParamName, java.io.InputStream aValue, int aLength)`
`void` `setBigDecimal(java.lang.String aParamName, java.math.BigDecimal aValue)`
`void` `setBinaryStream(java.lang.String aParamName, java.io.InputStream aValue, int aLength)`
`void` `setBoolean(java.lang.String aParamName, boolean aValue)`
`void` `setByte(java.lang.String aParamName, byte aValue)`
`void` `setBytes(java.lang.String aParamName, byte[] aValue)`
`void` `setCharacterStream(java.lang.String aParamName, java.io.Reader aValue, int aLength)`
`void` `setDate(java.lang.String aParamName, java.sql.Date aValue)`
`void` `setDate(java.lang.String aParamName, java.sql.Date aValue, java.util.Calendar aCalendar)`
`void` `setDouble(java.lang.String aParamName, double aValue)`
`void` `setFloat(java.lang.String aParamName, float aValue)`
`void` `setInt(java.lang.String aParamName, int aValue)`
`void` `setLong(java.lang.String aParamName, long aValue)`
`void` `setNull(java.lang.String aParamName, int aSqlType)`
`void` `setNull(java.lang.String aParamName, int aSqlType, java.lang.String aTypeName)`
`void` `setObject(java.lang.String aParamName, java.lang.Object aValue)`
`void` `setObject(java.lang.String aParamName, java.lang.Object aValue, int aSqlType)`
`void` `setObject(java.lang.String aParamName, java.lang.Object aValue, int aSqlType, int aScale)`
`void` `setShort(java.lang.String aParamName, short aValue)`
`void` `setString(java.lang.String aParamName, java.lang.String aValue)`
`void` `setTime(java.lang.String aParamName, java.sql.Time aValue)`
`void` `setTime(java.lang.String aParamName, java.sql.Time aValue, java.util.Calendar aCalendar)`
`void` `setTimestamp(java.lang.String aParamName, java.sql.Timestamp aValue)`
`void` `setTimestamp(java.lang.String aParamName, java.sql.Timestamp aValue, java.util.Calendar aCalendar)`
`void` `setURL(java.lang.String aParamName, java.net.URL aValue)`
`boolean` `wasNull()`

### Methods inherited from class Altibase.jdbc.driver.AltibasePreparedStatement

`addBatch, addBatch, addMetaColumnInfo, clearBatch, clearParameters, closeAllPrevResultSet, closeAllResultSet, closeCurrentResultSet, createProtocolContext, execute, execute, execute, execute, execute, executeBatch, executeBatchInternal, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getAtomicBatch, getColumn, getColumn, getColumnForInType, getColumnForInType, getDefaultPrecisionForDeferred, getExecuteResultMgrFirstUpdatedCnt, getLobUpdator, getMetaData, getParameterMetaData, getProtocolContext, getResultSet, getStmtId, incCurrentResultSetIndex, prepare, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setAtomicBatch, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, toString`

### Methods inherited from class Altibase.jdbc.driver.AltibaseStatement

`afterExecution, cancel, checkAutoGeneratedKeys, clearAllResults, clearForGeneratedKeys, clearWarnings, close, closeOnCompletion, createInternalStatement, cursorhasNoData, downgradeFetchSize, executeLargeBatch, executeLargeUpdate, getConnection, getExplainPlan, getFetchDirection, getFetchSize, getGeneratedKeys, getID, getLargeMaxRows, getLargeUpdateCount, getMaxFetchSize, getMaxFieldSize, getMaxRows, getMetaConn, getMoreResults, getMoreResults, getQueryTimeout, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSql, getUpdateCount, getWarnings, isAsyncPrefetch, isClosed, isCloseOnCompletion, isInternalStatement, isPingSQL, isPoolable, isPrepared, isWrapperFor, makeQstrForGeneratedKeys, pingAndCreateLightweightResultSet, procDowngradeAndGetTargetSql, processExecutionQueryResult, processExecutionResult, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setMetaConnection, setPoolable, setPrepareResult, setQueryTimeout, setSql, toInt, toIntBatchUpdateCounts, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`getCharacterStream, getCharacterStream, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setObject, setObject, setRowId, setSQLXML`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### mLastFetchedColumnIndex

    protected int mLastFetchedColumnIndex

### Constructor Detail

#### AltibaseCallableStatement

    public AltibaseCallableStatement(AltibaseConnection aConnection,
                                     java.lang.String aSql,
                                     int aResultSetType,
                                     int aResultSetConcurrency,
                                     int aResultSetHoldability)
                              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### Method Detail

#### getColumnForOutType

    protected Column getColumnForOutType(int aIndex,
                                         int aSqlType)
                                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getOutBoundColumn

    protected Column getOutBoundColumn(int aIndex)
                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getColumnIndex

    protected int getColumnIndex(java.lang.String aName)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(int aIndex)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getArray

    public java.sql.Array getArray(java.lang.String aParamName)
                            throws java.sql.SQLException

Specified by:
  `getArray` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aIndex,
                                              int aScale)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int aIndex)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String aParamName)
                                       throws java.sql.SQLException

Specified by:
  `getBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(int aIndex)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBlob

    public java.sql.Blob getBlob(java.lang.String aParamName)
                          throws java.sql.SQLException

Specified by:
  `getBlob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(int aIndex)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBoolean

    public boolean getBoolean(java.lang.String aParamName)
                       throws java.sql.SQLException

Specified by:
  `getBoolean` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(int aIndex)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getByte

    public byte getByte(java.lang.String aParamName)
                 throws java.sql.SQLException

Specified by:
  `getByte` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(int aIndex)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getBytes

    public byte[] getBytes(java.lang.String aParamName)
                    throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(int aIndex)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getClob

    public java.sql.Clob getClob(java.lang.String aParamName)
                          throws java.sql.SQLException

Specified by:
  `getClob` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aIndex,
                                 java.util.Calendar aCalendar)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(int aIndex)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aParamName,
                                 java.util.Calendar aCalendar)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate(java.lang.String aParamName)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(int aIndex)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getDouble

    public double getDouble(java.lang.String aParamName)
                     throws java.sql.SQLException

Specified by:
  `getDouble` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(int aIndex)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getFloat

    public float getFloat(java.lang.String aParamName)
                   throws java.sql.SQLException

Specified by:
  `getFloat` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(int aIndex)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getInt

    public int getInt(java.lang.String aParamName)
               throws java.sql.SQLException

Specified by:
  `getInt` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(int aIndex)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong(java.lang.String aParamName)
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aIndex,
                                      java.util.Map aMap)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(int aIndex)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aParamName,
                                      java.util.Map aMap)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getObject

    public java.lang.Object getObject(java.lang.String aParamName)
                               throws java.sql.SQLException

Specified by:
  `getObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(int aIndex)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getRef

    public java.sql.Ref getRef(java.lang.String aParamName)
                        throws java.sql.SQLException

Specified by:
  `getRef` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(int aIndex)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getShort

    public short getShort(java.lang.String aParamName)
                   throws java.sql.SQLException

Specified by:
  `getShort` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(int aIndex)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString(java.lang.String aParamName)
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aIndex,
                                 java.util.Calendar aCalendar)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(int aIndex)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aParamName,
                                 java.util.Calendar aCalendar)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime(java.lang.String aParamName)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aIndex,
                                           java.util.Calendar aCalendar)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(int aIndex)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aParamName,
                                           java.util.Calendar aCalendar)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String aParamName)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(int aIndex)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### getURL

    public java.net.URL getURL(java.lang.String aParamName)
                        throws java.sql.SQLException

Specified by:
  `getURL` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aIndex,
                                     int aSqlType,
                                     int aScale)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aIndex,
                                     int aSqlType,
                                     java.lang.String aTypeName)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(int aIndex,
                                     int aSqlType)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParamName,
                                     int aSqlType,
                                     int aScale)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParamName,
                                     int aSqlType,
                                     java.lang.String aTypeName)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### registerOutParameter

    public void registerOutParameter(java.lang.String aParamName,
                                     int aSqlType)
                              throws java.sql.SQLException

Specified by:
  `registerOutParameter` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setAsciiStream

    public void setAsciiStream(java.lang.String aParamName,
                               java.io.InputStream aValue,
                               int aLength)
                        throws java.sql.SQLException

Specified by:
  `setAsciiStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBigDecimal

    public void setBigDecimal(java.lang.String aParamName,
                              java.math.BigDecimal aValue)
                       throws java.sql.SQLException

Specified by:
  `setBigDecimal` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBinaryStream

    public void setBinaryStream(java.lang.String aParamName,
                                java.io.InputStream aValue,
                                int aLength)
                         throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBoolean

    public void setBoolean(java.lang.String aParamName,
                           boolean aValue)
                    throws java.sql.SQLException

Specified by:
  `setBoolean` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setByte

    public void setByte(java.lang.String aParamName,
                        byte aValue)
                 throws java.sql.SQLException

Specified by:
  `setByte` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setBytes

    public void setBytes(java.lang.String aParamName,
                         byte[] aValue)
                  throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setCharacterStream

    public void setCharacterStream(java.lang.String aParamName,
                                   java.io.Reader aValue,
                                   int aLength)
                            throws java.sql.SQLException

Specified by:
  `setCharacterStream` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(java.lang.String aParamName,
                        java.sql.Date aValue,
                        java.util.Calendar aCalendar)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setDate

    public void setDate(java.lang.String aParamName,
                        java.sql.Date aValue)
                 throws java.sql.SQLException

Specified by:
  `setDate` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setDouble

    public void setDouble(java.lang.String aParamName,
                          double aValue)
                   throws java.sql.SQLException

Specified by:
  `setDouble` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setFloat

    public void setFloat(java.lang.String aParamName,
                         float aValue)
                  throws java.sql.SQLException

Specified by:
  `setFloat` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setInt

    public void setInt(java.lang.String aParamName,
                       int aValue)
                throws java.sql.SQLException

Specified by:
  `setInt` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setLong

    public void setLong(java.lang.String aParamName,
                        long aValue)
                 throws java.sql.SQLException

Specified by:
  `setLong` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(java.lang.String aParamName,
                        int aSqlType,
                        java.lang.String aTypeName)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setNull

    public void setNull(java.lang.String aParamName,
                        int aSqlType)
                 throws java.sql.SQLException

Specified by:
  `setNull` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParamName,
                          java.lang.Object aValue,
                          int aSqlType,
                          int aScale)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParamName,
                          java.lang.Object aValue,
                          int aSqlType)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setObject

    public void setObject(java.lang.String aParamName,
                          java.lang.Object aValue)
                   throws java.sql.SQLException

Specified by:
  `setObject` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setShort

    public void setShort(java.lang.String aParamName,
                         short aValue)
                  throws java.sql.SQLException

Specified by:
  `setShort` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setString

    public void setString(java.lang.String aParamName,
                          java.lang.String aValue)
                   throws java.sql.SQLException

Specified by:
  `setString` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(java.lang.String aParamName,
                        java.sql.Time aValue,
                        java.util.Calendar aCalendar)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTime

    public void setTime(java.lang.String aParamName,
                        java.sql.Time aValue)
                 throws java.sql.SQLException

Specified by:
  `setTime` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(java.lang.String aParamName,
                             java.sql.Timestamp aValue,
                             java.util.Calendar aCalendar)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setTimestamp

    public void setTimestamp(java.lang.String aParamName,
                             java.sql.Timestamp aValue)
                      throws java.sql.SQLException

Specified by:
  `setTimestamp` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### setURL

    public void setURL(java.lang.String aParamName,
                       java.net.URL aValue)
                throws java.sql.SQLException

Specified by:
  `setURL` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`

#### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

Specified by:
  `wasNull` in interface `java.sql.CallableStatement`
Throws:
  `java.sql.SQLException`